GroovyPagesMetaUtils (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.pages
[Groovy] Class GroovyPagesMetaUtils

    java.lang.Object
      org.codehaus.groovy.grails.web.pages.GroovyPagesMetaUtils

    @groovy.transform.CompileStatic
    class GroovyPagesMetaUtils
    extends java.lang.Object

Method Summary
`static java.lang.Object` | `addTagLibMethodToMetaClass(groovy.lang.GroovyObject tagBean, groovy.lang.MetaMethod method, groovy.lang.MetaClass mc)`
`static java.lang.Object` | `methodMissingForTagLib(groovy.lang.MetaClass mc, java.lang.Class type, TagLibraryLookup gspTagLibraryLookup, java.lang.String namespace, java.lang.String name, java.lang.Object argsParam, boolean addMethodsToMetaClass)`
`static void` | `registerMethodMissingForGSP(java.lang.Class gspClass, TagLibraryLookup gspTagLibraryLookup)`
`static void` | `registerMethodMissingForGSP(groovy.lang.MetaClass emc, TagLibraryLookup gspTagLibraryLookup)`
`static void` | `registerMethodMissingWorkaroundsForDefaultNamespace(groovy.lang.MetaClass mc, TagLibraryLookup gspTagLibraryLookup)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### addTagLibMethodToMetaClass

    static java.lang.Object addTagLibMethodToMetaClass(groovy.lang.GroovyObject tagBean, groovy.lang.MetaMethod method, groovy.lang.MetaClass mc)

### methodMissingForTagLib

    @groovy.transform.CompileStatic(TypeCheckingMode.SKIP) // workaround for GROOVY-6147 bug
    static java.lang.Object methodMissingForTagLib(groovy.lang.MetaClass mc, java.lang.Class type, TagLibraryLookup gspTagLibraryLookup, java.lang.String namespace, java.lang.String name, java.lang.Object argsParam, boolean addMethodsToMetaClass)

### registerMethodMissingForGSP

    static void registerMethodMissingForGSP(java.lang.Class gspClass, TagLibraryLookup gspTagLibraryLookup)

### registerMethodMissingForGSP

    static void registerMethodMissingForGSP(groovy.lang.MetaClass emc, TagLibraryLookup gspTagLibraryLookup)

### registerMethodMissingWorkaroundsForDefaultNamespace

    static void registerMethodMissingWorkaroundsForDefaultNamespace(groovy.lang.MetaClass mc, TagLibraryLookup gspTagLibraryLookup)

Groovy Documentation